Bug 996432 - [Translation History Dialog] "Add Comment" should work with only reviewer role
Summary: [Translation History Dialog] "Add Comment" should work with only reviewer role
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Zanata
Classification: Retired
Component: Component-UI
Version: 3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.1
Assignee: Patrick Huang
QA Contact: Zanata-QA Mailling List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-08-13 07:29 UTC by Ding-Yi Chen
Modified: 2013-11-27 03:36 UTC (History)
2 users (show)

Fixed In Version: 3.1-SNAPSHOT (20130822-1236)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 996388
Environment:
Last Closed: 2013-11-27 03:24:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 953734 None None None Never
Red Hat Bugzilla 996388 None None None Never

Internal Links: 953734 996388

Description Ding-Yi Chen 2013-08-13 07:29:06 UTC
Description of problem:
Reviewer only (has reviewer but not translator) role cannot "Add comment" in Translation History dialog.


Version-Release number of selected component (if applicable):
Zanata version 3.0.0-alpha-2-SNAPSHOT (20130813-1420)

How reproducible:
Always

Steps to Reproduce:
1. Login as a user with only reviewer role, but not translator role.
2. Go to Translation editor.
3. Find a non-empty translation, click translation history.
4. Enter the comment: "TH ver1" then click "Add comment"

Actual results:
Nothing happened.

Expected results:
New comment is added to translation history.

Additional info:
This is similar with Bug 996388.

Comment 1 Patrick Huang 2013-08-22 01:58:39 UTC
Fixed in pull request:
https://github.com/zanata/zanata-server/pull/130

Comment 2 Ding-Yi Chen 2013-08-22 04:51:19 UTC
VERIFIED with Zanata version 3.1-SNAPSHOT (20130822-1236).

Comment 3 Sean Flanigan 2013-11-27 03:14:19 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 4 Sean Flanigan 2013-11-27 03:16:07 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 5 Sean Flanigan 2013-11-27 03:20:00 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 6 Sean Flanigan 2013-11-27 03:24:02 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 7 Sean Flanigan 2013-11-27 03:34:51 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.

Comment 8 Sean Flanigan 2013-11-27 03:36:58 UTC
Closing VERIFIED bugs for Zanata versions <= 3.1.


Note You need to log in before you can comment on or make changes to this bug.